ATA_MODE_STRING(9)

NAME
ata_mode_string - convert UDMA bit offset to string

SYNOPSIS

const char * ata_mode_string (unsigned int mask);

ARGUMENTS

mask
    mask of bits supported; only highest bit counts.

DESCRIPTION

Determine string which represents the highest speed (highest bit in udma_mask).

LOCKING

None.

RETURNS

Constant C string representing highest speed listed in udma_mask, or the constant C string ``<n/a>''.

AUTHOR
Jeff Garzik.